After upgrade from 14 to 15: RMSAdmin issue

Hello, after upgrading from 14 to 15 , when accessing ‘Dashboard’ these 2 lines display at top of the Freepbx screen for approx 3 seconds:

Cant find FreePBX\modules\RMSAdmin
File:/var/www/html/admin/libraries/BMO/Hooks.class.php:308

then under ’ System Overview’ :
There was an error asking for Overview. Check the error logs for more information.

there is a rmsadmin module at /var/www/html/admin/modules/rmsadmin/ , however files are from Jun 27 2017 .

besides that the phone systems seems to be running Okay . However the system will not get heavy use until tomorrow.

also during the upgrade there was a pause and i was instructed to run ‘fwconsole ma upgradeall’ from cli. i did not take a screen shot so have no more detail on that

thanks for reading , let me know if there may be a way to solve this, or if more info is needed.

RMS was an old module that never made it out of Beta. Does it show up if you do a fwconsole ma list

If it appears in the list then just run fwconsole ma delete (modulename)

thank you, fwconsole ma delete rmsadmin fixed the issue.

Hello
should some of these also be removed?

[email protected]:[~]:# fwconsole ma listonline|grep "Not available online"
| builtin              |            | Enabled; Not available online                |             |
| campon               | 13.0.4.1   | Enabled; Not available online                | GPLv3+      |
| clearlydevices       | 14.0.26.3  | Enabled; Not available online                | Commercial  |
| dundicheck           | 2.11.0.3   | Enabled; Not available online                | GPLv3+      |
| endpointman          | 14.0.3     | Enabled; Not available online                | GPLv3+      |
| freepbx_ha           | 13.0.11    | Enabled; Not available online                | Commercial  |
| motif                | 13.0.6     | Enabled; Not available online                | GPLv3+      |
| pbdirectory          | 2.11.0.6   | Enabled; Not available online                | GPLv3+      |
| phpagiconf           | 2.11.0.2   | Enabled; Not available online                | GPLv3+      |
| queuemetrics         | 2.11.0.3   | Enabled; Not available online                | GPLv3+      |
| speeddial            | 2.11.0.4   | Enabled; Not available online                | GPLv3+      |

Probably some of them should be, Campon is no longer used for definite. ClearlyDevices is only if you are using ClearlyIP phones (which I highly recommend). Although a lot seem to be showing as version 2.x which probably means they can be removed.

Hello Richard,
the only module I am unsure of is ’ builtin ’ .

I’ll research because oddly it does not show a version number:
| builtin | | Enabled; Not available online | |

thank you for the help.

I think the builtin module is always there and I don’t think you can remove it. I can’t honestly remember what it actually does!

I tried to remove builtin . after that could not log in to freepbx.

after restoring the proxmox virtual machine snapshot i had made before the removing builtin , I was able to login.

don’t try and remove the builtin code , (that’s why its called ‘builtins’)

1 Like

Thanks @dicko I was obviously too vague in my answer. I don’t know what it does, but know not to get rid of it.

yea I figured it was important so made a snapshot 1ST .

in any case it is good to get all the outdated modules removed before going to v16

however like you said not builtin.

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.